# encoding: UTF-8
# This file is auto-generated from the current state of the database. Instead
# of editing this file, please use the migrations feature of Active Record to
# incrementally modify your database, and then regenerate this schema definition.
#
# Note that this schema.rb definition is the authoritative source for your
# database schema. If you need to create the application database on another
# system, you should be using db:schema:load, not running all the migrations
# from scratch. The latter is a flawed and unsustainable approach (the more migrations
# you'll amass, the slower it'll run and the greater likelihood for issues).
#
# It's strongly recommended to check this file into your version control system.

ActiveRecord::Schema.define(:version => 20111209094403) do

  create_table "actualities", :force => true do |t|
    t.string   "title"
    t.integer  "admin_id"
    t.text     "description"
    t.date     "start_publish_at"
    t.boolean  "start_publish"
    t.boolean  "stop_publish"
    t.date     "stop_publish_at"
    t.boolean  "frontpage"
    t.integer  "image_file_id"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  add_index "actualities", ["admin_id"], :name => "index_actualities_on_admin_id"
  add_index "actualities", ["image_file_id"], :name => "index_actualities_on_image_file_id"

  create_table "admins", :force => true do |t|
    t.string   "email",                               :default => "", :null => false
    t.string   "encrypted_password",   :limit => 128, :default => "", :null => false
    t.string   "confirmation_token"
    t.datetime "confirmed_at"
    t.datetime "confirmation_sent_at"
    t.string   "reset_password_token"
    t.string   "remember_token"
    t.datetime "remember_created_at"
    t.integer  "sign_in_count",                       :default => 0
    t.datetime "current_sign_in_at"
    t.datetime "last_sign_in_at"
    t.string   "current_sign_in_ip"
    t.string   "last_sign_in_ip"
    t.string   "username"
    t.string   "surname"
    t.string   "firstname"
    t.integer  "roles_mask"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "albums", :force => true do |t|
    t.string   "name"
    t.boolean  "super_admin"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "allowed_block_contents", :force => true do |t|
    t.integer  "block_id"
    t.integer  "content_type_id"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "articles", :force => true do |t|
    t.datetime "published_at"
    t.string   "title"
    t.string   "slug"
    t.string   "tag"
    t.text     "description"
    t.boolean  "enabled"
    t.integer  "image_file_id"
    t.string   "tags_cache"
    t.string   "tags_cache_slug"
    t.integer  "category_id"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "block_contents", :force => true do |t|
    t.integer  "style"
    t.integer  "nbr_columns"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "blocks", :force => true do |t|
    t.string   "block_name"
    t.string   "blockable_type"
    t.integer  "blockable_id"
    t.text     "content"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "break_contents", :force => true do |t|
    t.boolean  "line"
    t.integer  "height"
    t.string   "style"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "categories", :force => true do |t|
    t.string   "name"
    t.string   "slug"
    t.boolean  "enabled"
    t.text     "description"
    t.integer  "image_file_id"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "cel_tables", :force => true do |t|
    t.integer  "position"
    t.integer  "style"
    t.integer  "table_row_id"
    t.integer  "table_content_id"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "cible_aliases", :force => true do |t|
    t.integer  "menu_item_id"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "cible_types", :force => true do |t|
    t.string   "slug"
    t.string   "name"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "cible_urls", :force => true do |t|
    t.string   "url"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "content_types", :force => true do |t|
    t.string   "slug"
    t.string   "name"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "data_files", :force => true do |t|
    t.string   "file"
    t.string   "name"
    t.string   "slug"
    t.string   "description"
    t.integer  "file_folder_id"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "download_contents", :force => true do |t|
    t.string   "title"
    t.string   "style"
    t.text     "description"
    t.integer  "data_file_id"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "dynamic_contents", :force => true do |t|
    t.string   "name"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "events", :force => true do |t|
    t.string   "title"
    t.text     "description"
    t.datetime "start_at"
    t.boolean  "entire_day"
    t.boolean  "stop_date"
    t.datetime "stop_at"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "external_links", :force => true do |t|
    t.string   "title"
    t.text     "description"
    t.string   "url"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "file_folders", :force => true do |t|
    t.string   "name"
    t.boolean  "super_admin"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "gallery_contents", :force => true do |t|
    t.string   "name"
    t.text     "description"
    t.integer  "style"
    t.integer  "nbr_img"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "gallery_images", :force => true do |t|
    t.string   "title"
    t.text     "description"
    t.integer  "position"
    t.integer  "image_file_id"
    t.integer  "gallery_content_id"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "html_contents", :force => true do |t|
    t.text     "content"
    t.string   "style"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "image_contents", :force => true do |t|
    t.integer  "image_file_id"
    t.integer  "width"
    t.integer  "height"
    t.string   "alignement"
    t.boolean  "expandable"
    t.string   "style"
    t.string   "alt"
    t.integer  "cible_id"
    t.string   "cible_type"
    t.boolean  "with_cible"
    t.boolean  "popup"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "image_files", :force => true do |t|
    t.string   "file"
    t.string   "name"
    t.string   "slug"
    t.text     "description"
    t.string   "tags"
    t.integer  "album_id"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "link_contents", :force => true do |t|
    t.integer  "type"
    t.string   "name"
    t.string   "title"
    t.boolean  "popup"
    t.string   "url"
    t.string   "style"
    t.integer  "cible_id"
    t.string   "cible_type"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "map_contents", :force => true do |t|
    t.string   "address"
    t.string   "name"
    t.integer  "view"
    t.boolean  "info_bule"
    t.integer  "zoom"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "menu_aliases", :force => true do |t|
    t.integer  "menu_item_id"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "menu_item_content_types", :force => true do |t|
    t.string   "name"
    t.string   "slug"
    t.boolean  "super_admin"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "menu_items", :force => true do |t|
    t.string   "name"
    t.string   "slug"
    t.string   "permalink"
    t.integer  "parent_id"
    t.integer  "position"
    t.boolean  "super_admin"
    t.boolean  "enabled"
    t.boolean  "visible"
    t.boolean  "deleted"
    t.integer  "menu_id"
    t.integer  "menu_content_id"
    t.string   "menu_content_type"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "menu_urls", :force => true do |t|
    t.string   "url"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "menus", :force => true do |t|
    t.string   "name"
    t.string   "max_levels"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "pages", :force => true do |t|
    t.text     "title"
    t.text     "description"
    t.text     "keywords"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "portlets", :force => true do |t|
    t.integer  "block_id"
    t.integer  "content_id"
    t.string   "content_type"
    t.integer  "position"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "table_contents", :force => true do |t|
    t.integer  "style"
    t.integer  "nbr_rows"
    t.integer  "nbr_cols"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "table_rows", :force => true do |t|
    t.integer  "position"
    t.integer  "style"
    t.integer  "table_content_id"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "tag_taggables", :force => true do |t|
    t.string   "taggable_type"
    t.integer  "taggable_id"
    t.integer  "tag_id"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "tags", :force => true do |t|
    t.string   "name"
    t.string   "slug"
    t.integer  "parent_id"
    t.boolean  "public"
    t.string   "taggable_type"
    t.integer  "taggable_id"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "text_contents", :force => true do |t|
    t.string   "style"
    t.text     "content"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "title_contents", :force => true do |t|
    t.text     "content"
    t.integer  "level"
    t.string   "style"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

end
